Package org.eclipse.ui.commands

## Interface IKeySequenceBinding

All Superinterfaces:
  `Comparable`

    @Deprecated
    public interface IKeySequenceBinding
    extends Comparable

Deprecated.
Please use the bindings support in the "org.eclipse.jface" plug-in instead.

An instance of `IKeySequenceBinding` represents a binding between a command and a key sequence. This is a wrapper for the a key sequence.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `ICommand`, `KeyBinding`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`KeySequence` `getKeySequence()` Deprecated.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getKeySequence

    @Deprecated
    KeySequence getKeySequence()

Deprecated.
Returns the key sequence represented in this binding.

Returns:
  the key sequence. Guaranteed not to be `null`.